Разобрался с драйверами etoken под Ubuntu 9.04

Дайте мне кривой молоток, чтобы забивать кривые гвозди

PKI Client от Aladdin требует пакет pcscd. Новая версия пакета со старыми драйверами etoken просто падает.

Решение простое (в интернете подглядел) - вручную скачать deb-пакет pcscd 1.4.99, вытащить оттуда файл pcscd и переписать поверх текущего. У меня он лежал в папке /usr/sbin.

После этого PKI Client 4.55 заработал в полном объеме.

Пробовал также поставить PKI Client 5.0. Та версия, которую скачал сегодня, вроде не требует шаманизма с pcscd. Но там почему-то не работает GUI. Хотя лампочка на ключике мигает правдоподобно, и иконка в трее обрастает новыми менюшками при втыкании ключа.

Естественно, под убунтой 8.04 LTS все будет работать и так, но оно нам надо? Хочется же на десктоп 9.04.

Поэтому на текущий момент самый рабочий вариант такой:

  1. Выбираем 32-битную OS (64-битные драйверы отсутствуют)
  2. Ставим PKI Client 4.55
  3. Переписываем бинарник pcscd старой версией, 1.4.99
  • 6742